List all balances from your Blnk Core instance with pagination support.
curl -X GET "https://api.cloud.blnkfinance.com/data/balances?instance_id=YOUR_INSTANCE_ID&page=1&pageSize=20" \
-H "Authorization: Bearer blnk_at_YOUR_ACCESS_TOKEN"
{
"data": [
{
"balance_id": "bln_5ce86029-3c2e-4e2a-aae2-7fb931ca4c4f",
"ledger_id": "ldg_073f7ffe-9dfd-42ce-aa50-d1dca1788adc",
"currency": "USD",
"balance": 100.50,
"created_at": "2024-11-26T08:36:36.238244338Z"
}
],
"total": 42
}
Retrieve a paginated list of balances from your Blnk Core instance.Documentation Index
Fetch the complete documentation index at: https://guide.cloud.blnkfinance.com/llms.txt
Use this file to discover all available pages before exploring further.
curl -X GET "https://api.cloud.blnkfinance.com/data/balances?instance_id=YOUR_INSTANCE_ID&page=1&pageSize=20" \
-H "Authorization: Bearer blnk_at_YOUR_ACCESS_TOKEN"
Bearer <access_token>. Your OAuth key must include data:read scope (or *).1.20 for balances.{
"data": [
{
"balance_id": "bln_5ce86029-3c2e-4e2a-aae2-7fb931ca4c4f",
"ledger_id": "ldg_073f7ffe-9dfd-42ce-aa50-d1dca1788adc",
"currency": "USD",
"balance": 100.50,
"created_at": "2024-11-26T08:36:36.238244338Z"
}
],
"total": 42
}
"stats" field in the response for aggregate views.Show Balance object properties
curl -X GET "https://api.cloud.blnkfinance.com/data/balances?instance_id=YOUR_INSTANCE_ID&page=1&pageSize=20" \
-H "Authorization: Bearer blnk_at_YOUR_ACCESS_TOKEN"
{
"data": [
{
"balance_id": "bln_5ce86029-3c2e-4e2a-aae2-7fb931ca4c4f",
"ledger_id": "ldg_073f7ffe-9dfd-42ce-aa50-d1dca1788adc",
"currency": "USD",
"balance": 100.50,
"created_at": "2024-11-26T08:36:36.238244338Z"
}
],
"total": 42
}